# Dropbox

Behaviour of the **Dropbox** file-exchange tool.

Access these settings under **Administration > Configuration settings > Dropbox**. This category contains **8 settings**, listed below with the title and comment shipped in the platform's settings fixtures (`SettingsCurrentFixtures.php`).

> The variable name in code is shown in monospace. Use it when scripting via the API or when you need to change those settings at a global level by editing [`config/settings_override.yaml`](https://github.com/chamilo/chamilo-lms/wiki/Configurations#configsettings_overridesyaml).

## Settings

### `dropbox_allow_group`

**Dropbox: allow group**

Users can send files to groups

*Default: `true`*

### `dropbox_allow_just_upload`

**Dropbox: Upload to own dropbox space?**

Allow trainers and users to upload documents to their dropbox without sending the documents to themselves

*Default: `true`*

### `dropbox_allow_mailing`

**Dropbox: Allow mailing**

With the mailing functionality you can send each learner a personal document

*Default: `false`*

### `dropbox_allow_overwrite`

**Dropbox: Can documents be overwritten**

Can the original document be overwritten when a user or trainer uploads a document with the name of a document that already exist? If you answer yes then you loose the versioning mechanism.

*Default: `true`*

### `dropbox_allow_student_to_student`

**Dropbox: Learner <-> Learner**

Allow users to send documents to other users (peer 2 peer). Users might use this for less relevant documents also (mp3, tests solutions, ...). If you disable this then the users can send documents to the trainer only.

*Default: `true`*

### `dropbox_hide_course_coach`

**Dropbox: hide course coach**

Hide session course coach in dropbox when a document is sent by the coach to students

*Default: `false`*

### `dropbox_hide_general_coach`

**Hide general coach in dropbox**

Hide general coach name in the dropbox tool when the general coach uploaded the file

*Default: `false`*

### `dropbox_max_filesize`

**Dropbox: Maximum file size of a document**

How big (in MB) can a dropbox document be?

*Default: `100000000`*


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.chamilo.org/administration-guide/admin-guide/platform-settings/dropbox-settings.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
